Bug 1033582 (CVE-2013-4513)

Summary: CVE-2013-4513 Kernel: staging: ozwpan: buffer overflow in oz_cdev_write
Product: [Other] Security Response Reporter: Prasad Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: pmatouse, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-26 11:59:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1033580    

Description Prasad Pandit 2013-11-22 12:39:33 UTC
Linux kernel built with a USB over WiFi Host Controller(CONFIG_USB_WPAN_HCD)
driver support is vulnerable to a buffer overflow flaw. It could occur while
writing to the device file.

A user/program able to write to the device file could use this flaw to potentially further escalate privileges on a system.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/c2c65cd2e14ada6de44cb527e7f1990bede24e15

Reference:
----------
 -> http://seclists.org/oss-sec/2013/q4/330

Comment 1 Prasad Pandit 2013-11-25 13:38:11 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Comment 2 Vincent Danen 2013-11-25 15:26:52 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-6379 to
the following vulnerability:

Name: CVE-2013-6379
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6379
Assigned: 20131104

** REJECT **

DO NOT USE THIS CANDIDATE NUMBER.  ConsultIDs: CVE-2013-4513.  Reason:
This candidate is a duplicate of CVE-2013-4513.  Notes: All CVE users
should reference CVE-2013-4513 instead of this candidate.  All
references and descriptions in this candidate have been removed to
prevent accidental usage.